Get results by chunkingId
import requests
url = "https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}")
.asString();const options = {method: 'GET'};
fetch('https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}{
"chunkingId": "29fa64f4-a3a0-43ec-bc11-e8489d7e0332",
"status": "READY",
"chunkedData": [
{
"chunks": [
"The itsy bitsy spider climbed up the waterspout.\nDown came the rain.\nAnd washed the spider out.\nOut came the sun.\nAnd dried up all the rain.\nAnd the itsy bitsy spider climbed up the spout again."
],
"spans": [
[
0,
194
]
],
"vectors": [
{
"tokensUsed": {
"inputTokens": 52
},
"vector": [
-24,
-8,
21,
-4,
2,
-6,
30,
5,
-3,
-1,
-4,
-35,
8,
12,
6,
10,
-5,
19,
-36,
13,
27,
-10,
3,
-1,
4,
13,
-8,
12,
-9,
-81,
-10,
-5,
5,
-6,
16,
-4,
-12,
0,
12,
11,
12,
0,
-16,
-16,
-24,
-18,
1,
-14,
24,
-22,
9,
-5,
-10,
6,
-4,
4,
35,
3,
8,
3,
19,
4,
-84,
54,
38,
23,
-33,
-7,
10,
19,
-12,
20,
17,
19,
11,
1,
-1,
-5,
-3,
2,
-27,
-16,
-13,
8,
-5,
-12,
6,
-25,
24,
9,
0,
-4,
-5,
-4,
-4,
2,
4,
4,
-8,
89,
-32,
11,
22,
-2,
-10,
-17,
-8,
-25,
-1,
4,
1,
-5,
30,
-9,
9,
-8,
2,
3,
-25,
5,
11,
1,
17,
-3,
14,
-19,
30,
55,
19,
4,
20,
-30,
-3,
-20,
-1,
4,
1,
11,
5,
-17,
-17,
-31,
0,
-48,
7,
39,
-20,
10,
-10,
8,
-2,
13,
-2,
-10,
13,
18,
0,
39,
-11,
-1,
5,
-7,
-12,
9,
24,
-25,
-16,
-2,
0,
-5,
9,
17,
-28,
8,
19,
-4,
-9,
-10,
7,
12,
16,
-14,
-25,
21,
10,
-10,
-7,
-4,
15,
22,
5,
-9,
-2,
-20,
-19,
-9,
-8,
0,
-14,
-9,
33,
-13,
-6,
7,
5,
13,
15,
-4,
20,
13,
-2,
5,
15,
-9,
-15,
-5,
2,
2,
6,
17,
19,
-43,
-22,
-69,
1,
-1,
-20,
26,
-20,
13,
-23,
24,
-1,
27,
-22,
9,
17,
-12,
16,
13,
9,
15,
12,
-16,
13,
-2,
-26,
0,
-18,
81,
51,
5,
-23,
2,
14,
-12,
-43,
12,
16,
16,
-19,
-17,
-30,
-11,
20,
3,
-23,
-5,
-5,
-2,
3,
-13,
2,
8,
0,
20,
6,
18,
-14,
-33,
22,
-15,
8,
12,
-12,
13,
-18,
24,
8,
-1,
-28,
11,
-22,
-18,
28,
-7,
-11,
14,
13,
16,
-18,
6,
-28,
26,
-39,
17,
3,
0,
-5,
-5,
-15,
3,
-22,
11,
18,
-24,
-5,
4,
-4,
-127,
2,
13,
6,
-6,
12,
20,
29,
-19,
12,
0,
0,
-2,
-3,
13,
15,
5,
-7,
19,
-11,
8,
8,
87,
-10,
4,
24,
-2,
11,
9,
-3,
22,
10,
15,
-18,
-5,
6,
-20,
34,
6,
-10,
-26,
0,
-7,
-14,
50,
-18,
-15,
-22,
12,
26,
-21,
-13,
3,
-7,
8,
4,
-27,
-14,
-20,
-15,
1,
-35,
-7,
2,
24
]
}
],
"stats": {
"totalChunks": 1,
"totalInferences": 1
}
}
]
}Get results by chunkingId
Fetch chunked content by chunking ID. The ID is returned in the response of the POST operation you used to trigger the chunking operation.
GET
/
ai
/
async-chunking
/
{CHUNKING_ID}
Get results by chunkingId
import requests
url = "https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}")
.asString();const options = {method: 'GET'};
fetch('https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}{
"chunkingId": "29fa64f4-a3a0-43ec-bc11-e8489d7e0332",
"status": "READY",
"chunkedData": [
{
"chunks": [
"The itsy bitsy spider climbed up the waterspout.\nDown came the rain.\nAnd washed the spider out.\nOut came the sun.\nAnd dried up all the rain.\nAnd the itsy bitsy spider climbed up the spout again."
],
"spans": [
[
0,
194
]
],
"vectors": [
{
"tokensUsed": {
"inputTokens": 52
},
"vector": [
-24,
-8,
21,
-4,
2,
-6,
30,
5,
-3,
-1,
-4,
-35,
8,
12,
6,
10,
-5,
19,
-36,
13,
27,
-10,
3,
-1,
4,
13,
-8,
12,
-9,
-81,
-10,
-5,
5,
-6,
16,
-4,
-12,
0,
12,
11,
12,
0,
-16,
-16,
-24,
-18,
1,
-14,
24,
-22,
9,
-5,
-10,
6,
-4,
4,
35,
3,
8,
3,
19,
4,
-84,
54,
38,
23,
-33,
-7,
10,
19,
-12,
20,
17,
19,
11,
1,
-1,
-5,
-3,
2,
-27,
-16,
-13,
8,
-5,
-12,
6,
-25,
24,
9,
0,
-4,
-5,
-4,
-4,
2,
4,
4,
-8,
89,
-32,
11,
22,
-2,
-10,
-17,
-8,
-25,
-1,
4,
1,
-5,
30,
-9,
9,
-8,
2,
3,
-25,
5,
11,
1,
17,
-3,
14,
-19,
30,
55,
19,
4,
20,
-30,
-3,
-20,
-1,
4,
1,
11,
5,
-17,
-17,
-31,
0,
-48,
7,
39,
-20,
10,
-10,
8,
-2,
13,
-2,
-10,
13,
18,
0,
39,
-11,
-1,
5,
-7,
-12,
9,
24,
-25,
-16,
-2,
0,
-5,
9,
17,
-28,
8,
19,
-4,
-9,
-10,
7,
12,
16,
-14,
-25,
21,
10,
-10,
-7,
-4,
15,
22,
5,
-9,
-2,
-20,
-19,
-9,
-8,
0,
-14,
-9,
33,
-13,
-6,
7,
5,
13,
15,
-4,
20,
13,
-2,
5,
15,
-9,
-15,
-5,
2,
2,
6,
17,
19,
-43,
-22,
-69,
1,
-1,
-20,
26,
-20,
13,
-23,
24,
-1,
27,
-22,
9,
17,
-12,
16,
13,
9,
15,
12,
-16,
13,
-2,
-26,
0,
-18,
81,
51,
5,
-23,
2,
14,
-12,
-43,
12,
16,
16,
-19,
-17,
-30,
-11,
20,
3,
-23,
-5,
-5,
-2,
3,
-13,
2,
8,
0,
20,
6,
18,
-14,
-33,
22,
-15,
8,
12,
-12,
13,
-18,
24,
8,
-1,
-28,
11,
-22,
-18,
28,
-7,
-11,
14,
13,
16,
-18,
6,
-28,
26,
-39,
17,
3,
0,
-5,
-5,
-15,
3,
-22,
11,
18,
-24,
-5,
4,
-4,
-127,
2,
13,
6,
-6,
12,
20,
29,
-19,
12,
0,
0,
-2,
-3,
13,
15,
5,
-7,
19,
-11,
8,
8,
87,
-10,
4,
24,
-2,
11,
9,
-3,
22,
10,
15,
-18,
-5,
6,
-20,
34,
6,
-10,
-26,
0,
-7,
-14,
50,
-18,
-15,
-22,
12,
26,
-21,
-13,
3,
-7,
8,
4,
-27,
-14,
-20,
-15,
1,
-35,
-7,
2,
24
]
}
],
"stats": {
"totalChunks": 1,
"totalInferences": 1
}
}
]
}Path Parameters
Response
OK
The current status of the request. Allowed values are:
-
SUBMITTED - The POST request was successful and the response has returned the
chunkingIdandstatusthat is used by the GET request. -
READY - The results associated with the
chunkingIdare available and ready to be retrieved. -
ERROR - An error was generated when the GET request was sent.
-
RETRIEVED - The results associated with the
chunkingIdare returned successfully when the GET request was sent.
Example:
"READY"
Was this page helpful?